curl -X POST [https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer) \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"message": "ID ou Nome do Dispositivo",
"webhook": "[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)",
"nome": "Novo Nome do Dispositivo",
"self_events": 1,
"chat_enabled": 1,
"chat_text": 1,
"chat_media": 1,
"chat_contact": 1,
"group_enabled": 1,
"group_text": 1,
"group_media": 1,
"group_contact": 1,
"editeDispositivo": "true"
}'
const response = await fetch('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
message: 'ID ou Nome do Dispositivo',
webhook: '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
nome: 'Novo Nome do Dispositivo',
editeDispositivo: 'true',
self_events: true,
chat_enabled: true,
chat_text: true,
chat_media: true,
chat_contact: true,
group_enabled: true,
group_text: true,
group_media: true,
group_contact: true
})
});
import requests
response = requests.post(
'[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'ID ou Nome do Dispositivo',
'webhook': '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome': 'Novo Nome do Dispositivo',
'editeDispositivo': 'true',
'self_events': True,
'chat_enabled': True,
'chat_text': True,
'chat_media': True,
'chat_contact': True,
'group_enabled': True,
'group_text': True,
'group_media': True,
'group_contact': True
}
)
$response = Http::post('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'ID ou Nome do Dispositivo',
'webhook' => '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome' => 'Novo Nome do Dispositivo',
'editeDispositivo' => 'true',
'self_events' => true,
'chat_enabled' => true,
'chat_text' => true,
'chat_media' => true,
'chat_contact' => true,
'group_enabled' => true,
'group_text' => true,
'group_media' => true,
'group_contact' => true
]);
{
"status": 200,
"message": "Dispositivo editado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Dispositivos
Editar Dispositivo
POST
/
api
/
developer
curl -X POST [https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer) \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"message": "ID ou Nome do Dispositivo",
"webhook": "[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)",
"nome": "Novo Nome do Dispositivo",
"self_events": 1,
"chat_enabled": 1,
"chat_text": 1,
"chat_media": 1,
"chat_contact": 1,
"group_enabled": 1,
"group_text": 1,
"group_media": 1,
"group_contact": 1,
"editeDispositivo": "true"
}'
const response = await fetch('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
message: 'ID ou Nome do Dispositivo',
webhook: '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
nome: 'Novo Nome do Dispositivo',
editeDispositivo: 'true',
self_events: true,
chat_enabled: true,
chat_text: true,
chat_media: true,
chat_contact: true,
group_enabled: true,
group_text: true,
group_media: true,
group_contact: true
})
});
import requests
response = requests.post(
'[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'ID ou Nome do Dispositivo',
'webhook': '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome': 'Novo Nome do Dispositivo',
'editeDispositivo': 'true',
'self_events': True,
'chat_enabled': True,
'chat_text': True,
'chat_media': True,
'chat_contact': True,
'group_enabled': True,
'group_text': True,
'group_media': True,
'group_contact': True
}
)
$response = Http::post('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'ID ou Nome do Dispositivo',
'webhook' => '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome' => 'Novo Nome do Dispositivo',
'editeDispositivo' => 'true',
'self_events' => true,
'chat_enabled' => true,
'chat_text' => true,
'chat_media' => true,
'chat_contact' => true,
'group_enabled' => true,
'group_text' => true,
'group_media' => true,
'group_contact' => true
]);
{
"status": 200,
"message": "Dispositivo editado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Descrição
Este endpoint permite editar as informações de um dispositivo, como o nome e o URL do webhook. O ID ou nome do dispositivo é fornecido para identificar qual dispositivo será editado.Parâmetros
string
required
Chave de autenticação do usuário.
string
required
ID ou nome do dispositivo a ser editado.
string
Novo URL do webhook a ser associado ao dispositivo.
string
Novo nome do dispositivo.
string
required
Deve ser “true” para indicar que o dispositivo será editado.
boolean
Ativa eventos do próprio número (webhook_me).
boolean
Ativa o webhook para conversas privadas.
boolean
Filtro para mensagens de texto em chats.
boolean
Filtro para mídias em chats.
boolean
Filtro para contatos em chats.
boolean
Ativa o webhook para grupos.
boolean
Filtro para mensagens de texto em grupos.
boolean
Filtro para mídias em grupos.
boolean
Filtro para contatos em grupos.
curl -X POST [https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer) \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"message": "ID ou Nome do Dispositivo",
"webhook": "[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)",
"nome": "Novo Nome do Dispositivo",
"self_events": 1,
"chat_enabled": 1,
"chat_text": 1,
"chat_media": 1,
"chat_contact": 1,
"group_enabled": 1,
"group_text": 1,
"group_media": 1,
"group_contact": 1,
"editeDispositivo": "true"
}'
const response = await fetch('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
message: 'ID ou Nome do Dispositivo',
webhook: '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
nome: 'Novo Nome do Dispositivo',
editeDispositivo: 'true',
self_events: true,
chat_enabled: true,
chat_text: true,
chat_media: true,
chat_contact: true,
group_enabled: true,
group_text: true,
group_media: true,
group_contact: true
})
});
import requests
response = requests.post(
'[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'message': 'ID ou Nome do Dispositivo',
'webhook': '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome': 'Novo Nome do Dispositivo',
'editeDispositivo': 'true',
'self_events': True,
'chat_enabled': True,
'chat_text': True,
'chat_media': True,
'chat_contact': True,
'group_enabled': True,
'group_text': True,
'group_media': True,
'group_contact': True
}
)
$response = Http::post('[https://chatbot.menuia.com/api/developer](https://chatbot.menuia.com/api/developer)', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'message' => 'ID ou Nome do Dispositivo',
'webhook' => '[https://exemplo.com/novo_webhook](https://exemplo.com/novo_webhook)',
'nome' => 'Novo Nome do Dispositivo',
'editeDispositivo' => 'true',
'self_events' => true,
'chat_enabled' => true,
'chat_text' => true,
'chat_media' => true,
'chat_contact' => true,
'group_enabled' => true,
'group_text' => true,
'group_media' => true,
'group_contact' => true
]);
{
"status": 200,
"message": "Dispositivo editado com sucesso."
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
⌘I

